detail.h File Reference
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/ScaffoldNetwork/ScaffoldNetwork.h>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| RDKit::ScaffoldNetwork
| RDKit::ScaffoldNetwork::detail

## Functions

RDKIT_SCAFFOLDNETWORK_EXPORT std::vector< std::pair< std::string, ROMOL_SPTR > > | RDKit::ScaffoldNetwork::detail::getMolFragments (const ROMol &mol, const ScaffoldNetworkParams &params)
RDKIT_SCAFFOLDNETWORK_EXPORT ROMol * | RDKit::ScaffoldNetwork::detail::makeScaffoldGeneric (const ROMol &mol, bool doAtoms, bool doBonds)
RDKIT_SCAFFOLDNETWORK_EXPORT ROMol * | RDKit::ScaffoldNetwork::detail::removeAttachmentPoints (const ROMol &mol, const ScaffoldNetworkParams &params)
RDKIT_SCAFFOLDNETWORK_EXPORT ROMol * | RDKit::ScaffoldNetwork::detail::pruneMol (const ROMol &mol, const ScaffoldNetworkParams &params)
RDKIT_SCAFFOLDNETWORK_EXPORT ROMol * | RDKit::ScaffoldNetwork::detail::flattenMol (const ROMol &mol, const ScaffoldNetworkParams &params)
RDKIT_SCAFFOLDNETWORK_EXPORT void | RDKit::ScaffoldNetwork::detail::addMolToNetwork (const ROMol &mol, ScaffoldNetwork &network, const ScaffoldNetworkParams &params)